commit:     97d554925db08edcd27ee3c3df17c301a7fa7648
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 29 10:37:26 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jul 29 10:37:26 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97d55492

dev-python/sphinx-gallery: add 0.11.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/sphinx-gallery/Manifest                 |  1 +
 .../sphinx-gallery/sphinx-gallery-0.11.0.ebuild    | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/sphinx-gallery/Manifest 
b/dev-python/sphinx-gallery/Manifest
index 19231d782581..92a1d6e5108e 100644
--- a/dev-python/sphinx-gallery/Manifest
+++ b/dev-python/sphinx-gallery/Manifest
@@ -1 +1,2 @@
 DIST sphinx-gallery-0.10.1.tar.gz 6546135 BLAKE2B 
1f4ead74b848f28944820a77717183d845d1fba7459d11fa9bece16c5cd83742e012cce6906f8f5cd357e5c7db01107b6c7c32e2f7d5b7ce46dcd8d6a4b36e9c
 SHA512 
da3b35907782846a58402fddf2a7f507eba76cd708725ff0ba097ec7bda6e9029252c9fb4df6d192aa7f64c6873465d4ff5e634b5c4cc6c4294e0d38c6db2f02
+DIST sphinx-gallery-0.11.0.tar.gz 395136 BLAKE2B 
4380484cb37baeb749469f810cbaf24f51a4f83a24a6ff868d1b8872f58db7b189575e8023926b70c576b029b895e18c3de070d69d20a87c70db5d959ebe8915
 SHA512 
8c97c9bea3bdeb400715bf7ad36e277c01efd5a5d9a85eaeac397eb1f7066112eaf8ef46cc42226275e50e030bfb1010d7516db70e415fbde953f051f4c3cbf4

diff --git a/dev-python/sphinx-gallery/sphinx-gallery-0.11.0.ebuild 
b/dev-python/sphinx-gallery/sphinx-gallery-0.11.0.ebuild
new file mode 100644
index 000000000000..7f1f1271aeea
--- /dev/null
+++ b/dev-python/sphinx-gallery/sphinx-gallery-0.11.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension to automatically generate an examples gallery"
+HOMEPAGE="
+       https://sphinx-gallery.github.io/
+       https://github.com/sphinx-gallery/sphinx-gallery";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+       dev-python/matplotlib[${PYTHON_USEDEP}]
+       dev-python/pillow[${PYTHON_USEDEP}]
+       dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/joblib[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e 's:--cov-report= --cov=sphinx_gallery::' setup.cfg || die
+       distutils-r1_src_prepare
+}
+
+EPYTEST_DESELECT=(
+       # Internet
+       sphinx_gallery/tests/test_docs_resolv.py::test_embed_code_links_get_data
+       sphinx_gallery/tests/test_full.py::test_run_sphinx
+       sphinx_gallery/tests/test_full.py::test_embed_links_and_styles
+)

Reply via email to